Skala
Shipments

Replace a shipment

Completely replaces the data of an existing shipment with the provided payload.

PUT
/api/shipments/{id}

Completely replaces the data of an existing shipment with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Shipment identifier

Request Body

application/json

The updated Shipment resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/shipments/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "invoice": "/entity/1",
  "items": [
    {
      "id": 0,
      "invoiceItem": "/entity/1",
      "quantity": "string",
      "total": "string",
      "barcode": "string",
      "expirationDate": "2019-08-24T14:15:22Z",
      "batch": "/entity/1",
      "batchNumber": "string",
      "serialNumbers": [
        {}
      ]
    }
  ],
  "total": "string",
  "saveAndClose": true
}
Empty
Empty
Empty